Create channel

Create a new channel

POST
/channels
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the bearer token.

In: header

Channel creation input

appUiIdstring
description?string
kindChannelKind
Value in"app" | "web_widget" | "mobile_sdk" | "api" | "whatsapp" | "messenger" | "instagram" | "telegram" | "slack" | "teams" | "email" | "sms" | "phone"
metaunknown

TODO: fix after db migration

metadataunknown

TODO: fix after db migration

ownerId?string
spaceIdstring
titlestring
whatsappSettings?WhatsAppSettings

Response Body

curl -X POST "https://eu1.api.bivariant.com/v1/channels" \  -H "Content-Type: application/json" \  -d '{    "appUiId": "string",    "kind": "app",    "meta": null,    "metadata": null,    "spaceId": "string",    "title": "string"  }'
{
  "agentId": "string",
  "appUiIdd": "string",
  "createdAt": "string",
  "description": "string",
  "id": "string",
  "kind": "app",
  "organizationId": "string",
  "spaceId": "string",
  "title": "string",
  "updatedAt": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}